package DrawningObjects;

import java.awt.*;

public class DrawningWheels {
    private CountEnum countWhils;

    public void setCount(int count){
        count = Math.min(4, count);
        count = Math.max(2, count);
        switch (count) {
            case 2:
                countWhils = CountEnum.Min;
                return;
            case 3:
                countWhils = CountEnum.Mid;
                return;
            case 4:
                countWhils = CountEnum.Max;
                return;
        }
    }

    void DrawWheels(Graphics g, int posX, int posY){
        g.setColor(Color.black);
        int count = 0;
        switch (countWhils){
            case Min -> {
                count = 2;
                posX += 15;
            }
            case Mid -> {
                count = 3;
                posX += 5;
            }
            case Max -> {
                count = 4;
            }
        }
        for (int i = 0; i < count; ++i){
            g.fillOval(posX + (i * 15), posY + 55, 15, 15);
            g.fillOval(posX + 60 + (i * 15), posY + 55, 15, 15);
        }
    }
}
